import {SimpleTransition} from "./SimpleTransition";
import {ScriptAccountCondition} from "../conditions/ScriptAccountCondition";
import {ScriptAccountAction} from "../actions/ScriptAccountAction";

export class SimpleTemplateTransition<ReferenceType> extends SimpleTransition {

  conditions: Map<ReferenceType, ScriptAccountCondition[]> = new Map();
  actions: Map<ReferenceType, ScriptAccountAction[]> = new Map();
}
